perl (5.40.1-6ubuntu0.1) questing-security; urgency=high

  * SECURITY UPDATE: path traversal in Archive::Tar symlink/hardlink extraction
    - debian/patches/CVE-2026-42496.patch: validate symlink and hardlink
      targets against absolute paths and directory traversal in
      cpan/Archive-Tar/lib/Archive/Tar.pm
    - CVE-2026-42496
  * SECURITY UPDATE: integer overflow in regular expression compiler
    - debian/patches/CVE-2026-8376_1.patch: add test cases for heap buffer
      overflow via quantified fixed-string regex in t/re/pat_psycho.t
    - debian/patches/CVE-2026-8376_2.patch: add overflow check before
      fixed-string buffer allocation in regcomp.c / regcomp_study.c
    - CVE-2026-8376
  * debian/rules: temporarily disable flaky op/magic.t test during build
    in questing environment to allow security updates to proceed

 -- Chrisa Oikonomou <chrisa.oikonomou@canonical.com>  Fri, 12 Jun 2026 16:42:19 +0300

perl (5.40.1-6build1) questing; urgency=medium

  * Rebuild to include updated RISC-V base ISA RVA23 

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Thu, 11 Sep 2025 20:48:27 +0000

perl (5.40.1-6) unstable; urgency=medium

  * Update cross support files for the CVE-2025-40909 fix.
    (Closes: #1109972)

 -- Niko Tyni <ntyni@debian.org>  Sun, 27 Jul 2025 22:41:22 +0300

perl (5.40.1-5) unstable; urgency=medium

  * Upload to unstable. (See #1108676)

 -- Niko Tyni <ntyni@debian.org>  Thu, 03 Jul 2025 19:14:17 +0300

perl (5.40.1-4) experimental; urgency=medium

  * [SECURITY] CVE-2025-40909: Clone dirhandles without fchdir
                               (Closes: #1098226)

 -- Niko Tyni <ntyni@debian.org>  Fri, 27 Jun 2025 17:26:56 +0300

perl (5.40.1-3) unstable; urgency=high

  * [SECURITY] CVE-2024-56406: Fix heap-buffer-overflow with tr//

 -- Niko Tyni <ntyni@debian.org>  Sat, 12 Apr 2025 18:34:34 +0300

perl (5.40.1-2) unstable; urgency=medium

  * Refresh cross support files with 5.40.1-1 results.
  * Add 5.40.1 to debian/released-versions.
  * Upload to unstable.

 -- Niko Tyni <ntyni@debian.org>  Sun, 16 Feb 2025 17:16:32 +0200

perl (5.40.1-1) experimental; urgency=medium

  * Update to new upstream version 5.40.1.

 -- Niko Tyni <ntyni@debian.org>  Sun, 19 Jan 2025 12:39:06 +0200

perl (5.40.0-8) unstable; urgency=medium

  [ Luca Boccassi ]
  * Drop Pre-Depends satisfied since Debian 8 Jessie. (Closes: #1087762)

  [ Niko Tyni ]
  * Minor packaging tweaks:
    + Remove long obsolete maintainer script parts
    + Add debian/upstream-metadata
    + Update upstream URLs
    + Disable reprotest check on Gitlab CI
    + Update some lintian overrides

 -- Niko Tyni <ntyni@debian.org>  Sat, 23 Nov 2024 17:42:23 +0200

perl (5.40.0-7) unstable; urgency=medium

  * Move Getopt::Long::Parser back to perl-base. (Closes: #1086809)

 -- Niko Tyni <ntyni@debian.org>  Wed, 06 Nov 2024 22:29:57 +0200

perl (5.40.0-6) unstable; urgency=medium

  * Add 5.40.0 to debian/released-versions.
  * Upload to unstable.

 -- Niko Tyni <ntyni@debian.org>  Mon, 14 Oct 2024 19:58:37 +0300

perl (5.40.0-5) experimental; urgency=medium

  * Stop Providing libtest2-suite-perl to make libtest-simple-perl
    installable again. (Closes: #1080359)
  * Remove an outdated special case for libcgi-fast-perl in a
    maintainer test.
  * Refresh cross build support files.

 -- Niko Tyni <ntyni@debian.org>  Fri, 13 Sep 2024 15:16:23 +0300

perl (5.40.0-4) experimental; urgency=medium

  * Apply upstream Test-Harness patch to prevent double summary
    on bail-out. (Closes: #1078060)

 -- Niko Tyni <ntyni@debian.org>  Sun, 01 Sep 2024 20:04:39 +0300

perl (5.40.0-3) experimental; urgency=medium

  * Cherry-pick upstream patch fixing strftime format handling.
    (Closes: #1078152)

 -- Niko Tyni <ntyni@debian.org>  Mon, 12 Aug 2024 20:43:44 +0300

perl (5.40.0-2) experimental; urgency=medium

  * Refresh cross build support files for most architectures.
  * Make perl-base Break libur-perl (<< 0.470+ds-3) for partial upgrades
    (Closes: #1078078)
  * Fix json_pp option handling. (Closes: #1078058)

 -- Niko Tyni <ntyni@debian.org>  Wed, 07 Aug 2024 23:08:04 +0300

perl (5.40.0-1) experimental; urgency=medium

  * Update to new upstream version 5.40.0.

 -- Niko Tyni <ntyni@debian.org>  Wed, 31 Jul 2024 16:17:39 +0300

perl (5.40.0~rc1-1) experimental; urgency=medium

  * New upstream release candidate.
    + Now bundles libterm-table-perl libtest2-suite-perl.
    + Includes better fixes to locale initialization (#1060679)
      that don't crash when freeing locales. (Closes: #1071129)
  * Retire debian/disable-stack-check.diff and build debugperl with
    the new PERL_NO_HWM toggle instead for #902779.
  * Undo perlabi and libperl t64 changes, no longer needed.
  * Include time64 build flags in $Config{ccflags}. (Closes: #1067241)
  * Fix parallel build support.

 -- Niko Tyni <ntyni@debian.org>  Mon, 03 Jun 2024 10:25:23 +0300

perl (5.38.2-5) unstable; urgency=medium

  [ Bo YU ]
  * move riscv64 from debian-ports to official debian in debian/cross/README

  [ Niko Tyni ]
  * Mark most autopkgtest checks superficial (Closes: #970026)
  * Update architecture list in debian/cross/README
  * Refresh cross build support files (Closes: #1062784)
    + also introduces loong64 support (Closes: #1024636)

 -- Niko Tyni <ntyni@debian.org>  Thu, 30 May 2024 22:24:33 +0300

perl (5.38.2-4) unstable; urgency=medium

  * Import t64 NMUs.
  * Fix autopkgtest regression caused by the NMUs. (Closes: #1068934)

 -- Niko Tyni <ntyni@debian.org>  Sat, 27 Apr 2024 18:32:01 +0300

perl (5.38.2-3.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix check for i386 to avoid transitioning there.  Closes: #1065483.
  * Manually add perlapi-5.38.2t64 to Provides: on i386 to avoid another
    difficult transition.

 -- Steve Langasek <vorlon@debian.org>  Wed, 06 Mar 2024 17:19:01 +0000

perl (5.38.2-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Update perlabi for time_t transition.  Closes: #1060246.
  * Rename libperl5.38 to libperl5.38t64 for time_t transition.

 -- Steve Langasek <vorlon@debian.org>  Sat, 02 Mar 2024 21:34:58 +0000

perl (5.38.2-3) unstable; urgency=medium

  * Unbreak locale initialization when embedding perl. (Closes: #1060679)

 -- Niko Tyni <ntyni@debian.org>  Fri, 12 Jan 2024 18:16:08 +0200

perl (5.38.2-2) unstable; urgency=medium

  * Update copyright file for the superfast hash algorithm removal.
    Thanks to Milton Moura. (Closes: #1054457)
  * Add 5.38.2 to debian/released-versions.
  * Upload to unstable.

 -- Niko Tyni <ntyni@debian.org>  Tue, 09 Jan 2024 22:05:06 +0200

perl (5.38.2-1) experimental; urgency=medium

  * Update to new upstream version 5.38.2.
    + [SECURITY] CVE-2023-47038: Write past buffer end via illegal
      user-defined Unicode property. (Closes: #1056746)
  * Restore optimization level of op.c and opmini.c on hppa and sh4.
    Many thanks to John David Anglin. (Closes: #1055109)
  * Build depend on libc6-dev (>= 2.37-8) on ppc64el for correct F_GETLK
    et al. (See  #1050592)
  * Explicitly do not use strlcpy and strlcat from glibc 2.38 to keep
    libperl5.38 symbols stable. (Closes: #1051427)

 -- Niko Tyni <ntyni@debian.org>  Thu, 30 Nov 2023 20:28:47 +0200

perl (5.38.0-2) experimental; urgency=medium

  * Unbreak builds with the nodoc build profile. (See: #50091)
  * Add cross build support files for hurd-amd64 (Closes: #1043394)
  * Break older versions of libgnupg-interface-perl due to #1042985.
    (Closes: #1043230)
  * Break older versions of liblexical-failure-perl due to #1042852.
    (Closes: #1042864)
  * Backport upstream fix for a bug in Math::BigFloat subclass numeric
    comparison that broke LedgerSMB. (See: #1043234)

 -- Niko Tyni <ntyni@debian.org>  Fri, 18 Aug 2023 22:58:34 +0300

perl (5.38.0-1) experimental; urgency=medium

  * Update to new upstream version 5.38.0.
  * Break libnumber-format-perl (<< 1.76). (See #1040376)

 -- Niko Tyni <ntyni@debian.org>  Wed, 05 Jul 2023 10:58:57 +0300

perl (5.38.0~rc2-1) experimental; urgency=medium

  * Update to new upstream release candidate 5.38.0-RC2.
    + [SECURITY] CVE-2023-31484: CPAN.pm now verifies TLS certificates.
                                 (Closes: #1035109)
    + [SECURITY] CVE-2023-31486: HTTP-Tiny now verifies TLS certificates
                                 by default.  (Closes: #954089)
    + no longer panics on s///gre with tainted utf8 strings.
      (Closes: #1006280)
    + fixes a syntax error in Math::Complex documentation.
      (Closes: #944883)
    + improves perlretut formatting.(Closes: #1033649)
    + POD with italics inside C<> now gets correctly formatted.
      (Closes: #1021955)
    + zero-width space in POD is now converted correctly.
      (Closes: #941980)
    + converted POD no longer causes point size warnings from troff
      specific heuristics. (Closes: #871225)
    + Pod::Text now does output encoding correctly. (Closes: #1020574)
  * Add build dependency on libcrypt-dev. (Closes: #1029753)

 -- Niko Tyni <ntyni@debian.org>  Sun, 02 Jul 2023 13:12:07 +0300

perl (5.36.0-7) unstable; urgency=medium

  * Break backuppc (<< 4.4.0-7~) due to Data::Dumper changes in 5.36
    (Closes: #1026270)

 -- Niko Tyni <ntyni@debian.org>  Sun, 08 Jan 2023 23:28:47 +0200

perl (5.36.0-6) unstable; urgency=medium

  * Break duck (<< 0.14.1) due to #1025722

 -- Niko Tyni <ntyni@debian.org>  Sat, 10 Dec 2022 10:15:23 +0200

perl (5.36.0-5) unstable; urgency=medium

  * Backported upstream changes:
    + only clear the stream error state in readline() for glob()
      (Closes: #1016369)
    + skip failing tests in libperl.t when building with LTO.
      (Closes: #1015579)
  * Refresh cross build support files for all architectures.

 -- Niko Tyni <ntyni@debian.org>  Tue, 06 Dec 2022 11:43:06 +0200

perl (5.36.0-4) unstable; urgency=medium

  * Add 5.36.0 to debian/released-versions.
  * Upload to unstable.

 -- Niko Tyni <ntyni@debian.org>  Tue, 18 Oct 2022 19:44:58 +0300

perl (5.36.0-3) experimental; urgency=medium

  * Temporarily work around a MakeMaker regression breaking GNU/Hurd
    hint files. (Closes: #1018289)
  * Downgrade the perl-modules-5.36 priority to optional. (See #1018687)
  * Add upstream patch fixing warnings in JSON::PP. (Closes: #1019757)

 -- Niko Tyni <ntyni@debian.org>  Tue, 11 Oct 2022 23:01:11 +0300

perl (5.36.0-2) experimental; urgency=medium

  * Add Provides/Breaks/Replaces for libtext-balanced-perl.
    (Closes: #1014282)
  * Refresh cross build support files for most architectures.

 -- Niko Tyni <ntyni@debian.org>  Sun, 10 Jul 2022 20:46:56 +0300

perl (5.36.0-1) experimental; urgency=medium

  * Update to new upstream version 5.36.0.

 -- Niko Tyni <ntyni@debian.org>  Sun, 19 Jun 2022 09:44:30 +0300

perl (5.34.0-4) unstable; urgency=medium

  * Refresh cross build support files for all architectures.
  * Fix massively parallel builds by first making 'depend'.
    (Closes: #996953)
  * Backport upstream patch to perl.h fixing build warnings on clang.
    (Closes: #1009149)

 -- Niko Tyni <ntyni@debian.org>  Fri, 08 Apr 2022 20:12:38 +0300

perl (5.34.0-3) unstable; urgency=medium

  * Add 5.34.0 to debian/released-versions.
  * Upload to unstable.

 -- Niko Tyni <ntyni@debian.org>  Sat, 05 Feb 2022 12:20:54 +0200

perl (5.34.0-2) experimental; urgency=medium

  * Apply upstream patch fixing issues with gdbm 1.20. (Closes: #993514)

 -- Niko Tyni <ntyni@debian.org>  Fri, 27 Aug 2021 22:02:26 +0300

perl (5.34.0-1) experimental; urgency=medium

  * Update to new upstream version 5.34.0.
  * Add a build time sanity check to make sure we filter away generated
    files from the regen-configure tarball. (Closes: #992200)
  * Fix usrmerge related reproducibility issues. Thanks to Vagrant
    Cascadian. (Closes: #914128)
  * Update cross build support files.
  * Skip io/msg.t on x32 due to broken System V message queues.
    (See #988900)
  * [SECURITY] CVE-2021-36770: Encode loading code from working directory

 -- Niko Tyni <ntyni@debian.org>  Thu, 26 Aug 2021 21:20:41 +0300

perl (5.34.0~rc2-1) experimental; urgency=medium

  * Update to upstream release candidate 5.34.0-RC2.
    + File::Temp file creation permissions are documented now.
      (Closes: #987995)

 -- Niko Tyni <ntyni@debian.org>  Mon, 17 May 2021 22:09:52 +0300

perl (5.32.1-4) unstable; urgency=medium

  * Add perl Breaks: perl-modules-5.22 and early versions of
    perl-modules-5.26. They had the same issue as perl-modules-5.24,
    which perl already Breaks since 5.32.0-6. (Closes: #976704)

 -- Niko Tyni <ntyni@debian.org>  Thu, 29 Apr 2021 21:37:46 +0300

perl (5.32.1-3) unstable; urgency=medium

  * Refresh cross build support files for 5.32.1. (Closes: #983099)
    + Update source documentation (README.Source, debian/cross/README)
      with cross build support information.

 -- Niko Tyni <ntyni@debian.org>  Thu, 25 Feb 2021 16:52:03 +0200

perl (5.32.1-2) unstable; urgency=medium

  * Update relations with libmodule-corelist-perl to fix autopkgtest
    failures (Closes: #981409)
  * Add Breaks on earlier versions of libdevel-mat-dumper-perl built
    against earlier versions of perl (Closes: #981493)
  * Add 5.32.1 to debian/released-versions
  * Upload to unstable

 -- Dominic Hargreaves <dom@earth.li>  Mon, 01 Feb 2021 22:44:54 +0000

perl (5.32.1-1) experimental; urgency=medium

  * Remove duplicate/obsolete entries for various tutorial documentation
    in d/copyright (this was erroneously missed from the previous
    release)
  * Update to new upstream version 5.32.1.

 -- Dominic Hargreaves <dom@earth.li>  Sun, 24 Jan 2021 10:49:43 +0000

perl (5.32.1~rc1-1) experimental; urgency=medium

  * Update to new upstream version 5.32.1~rc1.
  * Remove duplicate/obsolete entries for various tutorial documentation
    in d/copyright

 -- Dominic Hargreaves <dom@earth.li>  Mon, 18 Jan 2021 00:21:24 +0000

perl (5.32.0-6) unstable; urgency=medium

  [ Dominic Hargreaves ]
  * Update lintian overrides with various severity info and pedantic
    tags

  [ Niko Tyni ]
  * Add patch from Chris Lamb removing traces of the build directory from
    the binary packages. (Closes: #972559)
  * Refresh cross build support files.
  * Make perl Break the old perl-modules-5.24 package. (Closes: #976666)
  * Add a missing test dependency on dpkg-dev.

 -- Niko Tyni <ntyni@debian.org>  Sun, 13 Dec 2020 20:58:36 +0200

perl (5.32.0-5) unstable; urgency=medium

  [ Dominic Hargreaves ]
  * Add Breaks on versions of pod2pdf, bucardo, latexml, kio-perldoc
    which didn't depend on libpod-parser-perl (Closes: #974029)
  * Add Breaks on libencode-arabic-perl which had an autopkgtest
    regression with perl 5.32 (Closes: #974170)

  [ Niko Tyni ]
  * Update debian/copyright for 5.32.0 proper
  * Add test dependency on libdpkg-perl
  * Add Breaks on older versions of libmp3-tag-perl (see #947756)

 -- Dominic Hargreaves <dom@earth.li>  Sat, 14 Nov 2020 11:19:57 +0000

perl (5.32.0-4) unstable; urgency=medium

  * Upload to unstable

 -- Dominic Hargreaves <dom@earth.li>  Sun, 08 Nov 2020 16:57:57 +0000

perl (5.32.0-3) experimental; urgency=medium

  * Replace the earlier IO-Socket-IP IPv6 fix with one which fixes FTBFS
    in other packages as well, authored by Niko Tyni (Closes: #968913)

 -- Dominic Hargreaves <dom@earth.li>  Tue, 08 Sep 2020 23:55:26 +0100

perl (5.32.0-2) experimental; urgency=medium

  * Drop Provides/Breaks/Replaces on libpod-parser-perl, removed upstream.
  * Refresh cross support files.

 -- Niko Tyni <ntyni@debian.org>  Tue, 23 Jun 2020 20:05:06 +0300

perl (5.32.0-1) experimental; urgency=medium

  * Update to new upstream version 5.32.0.

 -- Dominic Hargreaves <dom@earth.li>  Sat, 20 Jun 2020 19:46:36 +0100

perl (5.32.0~rc1-2) experimental; urgency=medium

  * Apply patch from John Paul Adrian Glaubitz fixing FTBFS on m68k
    (Closes: #963108)
  * Apply patch from Samuel Thibault fixing FTBFS on hurd
    (Closes: #963214)

 -- Dominic Hargreaves <dom@earth.li>  Sat, 20 Jun 2020 18:14:38 +0100

perl (5.32.0~rc1-1) experimental; urgency=medium

  * Update to new upstream release candidate.

 -- Niko Tyni <ntyni@debian.org>  Sun, 14 Jun 2020 08:18:55 +0300

perl (5.30.3-4) unstable; urgency=medium

  * Restore earlier behaviour where the shared version of Config.pm
    had precedence on @INC. This makes perl -V:useshrplib lie again,
    so that it can be used to check whether a shared libperl is
    available. Thanks to the PostgreSQL project for early testing.
    (See #798626)
  * Refresh cross support files and add support for ia64.

 -- Niko Tyni <ntyni@debian.org>  Sun, 07 Jun 2020 10:56:32 +0300

perl (5.30.3-3) unstable; urgency=medium

  * Move the perl-base specific library path between vendor and core so
    that the separate libscalar-list-utils-perl package can override the
    version in perl-base. (See #962138)
  * Suppress an ExtUtils::MakeMaker warning about our new @INC arrangement.

 -- Niko Tyni <ntyni@debian.org>  Sat, 06 Jun 2020 13:33:31 +0300

perl (5.30.3-2) unstable; urgency=medium

  [ Niko Tyni ]
  * Fix version parsing logic in a maintainer test.
  * Move perl-base specific library up on @INC. This eliminates the
    chance of incompatible libperl5.xx modules overriding the perl-base
    ones during upgrades and the like. (Closes: #962138)

  [ Dominic Hargreaves ]
  * Remove lingering references to old deprecated modules (Closes: #961928)
  * Fix FTBFS with IPv6-only host (Closes: #962019)

 -- Dominic Hargreaves <dom@earth.li>  Fri, 05 Jun 2020 00:21:01 +0100

perl (5.30.3-1) unstable; urgency=medium

  [ Dominic Hargreaves ]
  * Update perlbug to no longer email deprecated bug address
    (Closes: #958721)

  [ Niko Tyni ]
  * Update the build system to debhelper compatibility level 13.

  [ Dominic Hargreaves ]
  * Update to new upstream version (Closes: #962005)
    + [SECURITY] CVE-2020-10543: Buffer overflow caused by a crafted
      regular expression
    + [SECURITY] CVE-2020-10878: Integer overflow via malformed bytecode
      produced by a crafted regular expression
    + [SECURITY] CVE-2020-12723: Buffer overflow caused by a crafted
      regular expression

 -- Dominic Hargreaves <dom@earth.li>  Mon, 01 Jun 2020 22:23:43 +0100

perl (5.30.2-1) unstable; urgency=medium

  [ Niko Tyni ]
  * Convert rt.perl.org links to GitHub issues in patch descriptions.

  [ Dominic Hargreaves ]
  * Update to new upstream version 5.30.2.
  * Fix test failure with certain sbuild configurations (Closes: #930095)

 -- Dominic Hargreaves <dom@earth.li>  Sun, 17 May 2020 00:19:12 +0100

perl (5.30.0-10) unstable; urgency=medium

  [ Dominic Hargreaves ]
  * Suggest libtap-harness-archive-perl for prove --archive
    (Closes: #947797)

  [ Niko Tyni ]
  * Apply upstream patches fixing Configure on GCC 10. (Closes: #957675)
  * Include commit hashes from upstream GitHub repo in patch descriptions.

 -- Niko Tyni <ntyni@debian.org>  Fri, 17 Apr 2020 22:18:51 +0300

perl (5.30.0-9) unstable; urgency=medium

  * Improve debian/t/control.t robustness fixing spurious failures
    when packages are missing from the current archive suite.
    (Closes: #943380)
  * Build with TZ=UTC again for reproducibility. (See #791362)
  * Fix cross builds harder, still due to -Dmksymlinks in 5.30.0-2.
  * Refresh cross build support files for most architectures.

 -- Niko Tyni <ntyni@debian.org>  Sun, 27 Oct 2019 18:52:24 +0200

perl (5.30.0-8) unstable; urgency=medium

  * Minor fixes prompted by lintian:
    + remove outdated lintian overrides
    + outsource parsing debian/changelog to pkg-info.mk in dpkg-dev
    + move debian/source.lintian-overrides under debian/source
    + add Build-Depends-Package: libperl-dev to the libperl5.30 symbols file
    + reorganize debian/copyright a bit to ensure correct file globbing
  * Move perl-xs-dev Provides to libperl-dev, mark that Multi-Arch:
    same, and add an unversioned cross-config symlink to the versioned
    directory in libperl5.30 for easier consumption in depending packages.
    .
    Making perl-xs-dev not coinstallable between Perl major versions
    should keep build dependencies unambiguous.

 -- Niko Tyni <ntyni@debian.org>  Sun, 20 Oct 2019 14:51:34 +0300

perl (5.30.0-7) unstable; urgency=medium

  * Move perl-modules-5.30 to section "libs" to ease future Perl
    transitions (Closes: #942220)
  * Make libperl5.30 Provide perl-xs-dev and retire the
    perl-cross-config virtual package. See the thread around
     https://lists.debian.org/debian-perl/2019/10/msg00015.html

 -- Niko Tyni <ntyni@debian.org>  Tue, 15 Oct 2019 16:35:07 +0300

perl (5.30.0-6) unstable; urgency=medium

  * Apply upstream patch fixing a regression in group id parsing that
    broke setting supplementary group IDs. (Closes: #941985)

 -- Niko Tyni <ntyni@debian.org>  Tue, 08 Oct 2019 20:25:35 +0300

perl (5.30.0-5) unstable; urgency=medium

  [ Niko Tyni ]
  * Update $Config{myuname} et al. to Buster kernel versions.

  [ Dominic Hargreaves ]
  * Add 5.30.0 to debian/released-versions
  * Upload to unstable

 -- Dominic Hargreaves <dom@earth.li>  Sat, 05 Oct 2019 09:51:05 +0100

perl (5.30.0-4) experimental; urgency=medium

  * Restore the update-configure debian/rules target. (Closes: #931563)
  * Fix cross builds broken by -Dmksymlinks in 5.30.0-2.
  * Refresh cross build support files for hppa m68k riscv64 sh4

 -- Niko Tyni <ntyni@debian.org>  Sat, 03 Aug 2019 21:11:59 +0300

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog perl-base`.
